Package org.eclipse.equinox.http.jetty.internal

# Class Details

java.lang.Object
org.eclipse.equinox.http.jetty.internal.Details

public class Details extends Object

## Constructor Summary

Constructors
Constructor
Description
`Details()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getBoolean(Dictionary dictionary, String key, boolean dflt)`
`static boolean`
`getBoolean(BundleContext dictionary, String key, boolean dflt)`
`static boolean`
`getBooleanProp(Dictionary dictionary, String key, boolean dflt)`
`static boolean`
`getBooleanProp(BundleContext dictionary, String key, boolean dflt)`
`static int`
`getInt(Dictionary dictionary, String key, int dflt)`
`static int`
`getInt(BundleContext dictionary, String key, int dflt)`
`static int`
`getIntProp(Dictionary dictionary, String key, int dflt)`
`static int`
`getIntProp(BundleContext dictionary, String key, int dflt)`
`static long`
`getLong(Dictionary dictionary, String key, long dflt)`
`static long`
`getLong(BundleContext dictionary, String key, long dflt)`
`static long`
`getLongProp(Dictionary dictionary, String key, long dflt)`
`static long`
`getLongProp(BundleContext dictionary, String key, long dflt)`
`static String`
`getString(Dictionary dictionary, String key, String dflt)`
`static String`
`getString(BundleContext dictionary, String key, String dflt)`
`static String`
`getStringProp(Dictionary dictionary, String key, String dflt)`
`static String`
`getStringProp(BundleContext dictionary, String key, String dflt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Details

public Details()

## Method Details

### getBoolean

public static boolean getBoolean(BundleContext dictionary, String key, boolean dflt)

### getBoolean

public static boolean getBoolean(Dictionary dictionary, String key, boolean dflt)

### getBooleanProp

public static boolean getBooleanProp(BundleContext dictionary, String key, boolean dflt)

### getBooleanProp

public static boolean getBooleanProp(Dictionary dictionary, String key, boolean dflt)

### getInt

public static int getInt(BundleContext dictionary, String key, int dflt)

### getInt

public static int getInt(Dictionary dictionary, String key, int dflt)

### getIntProp

public static int getIntProp(BundleContext dictionary, String key, int dflt)

### getIntProp

public static int getIntProp(Dictionary dictionary, String key, int dflt)

### getLong

public static long getLong(BundleContext dictionary, String key, long dflt)

### getLong

public static long getLong(Dictionary dictionary, String key, long dflt)

### getLongProp

public static long getLongProp(BundleContext dictionary, String key, long dflt)

### getLongProp

public static long getLongProp(Dictionary dictionary, String key, long dflt)

### getString

public static String getString(BundleContext dictionary, String key, String dflt)

### getString

public static String getString(Dictionary dictionary, String key, String dflt)

### getStringProp

public static String getStringProp(BundleContext dictionary, String key, String dflt)

### getStringProp

public static String getStringProp(Dictionary dictionary, String key, String dflt)